using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] prvired = Console.ReadLine().Split(' ');
            int n= int.Parse(prvired[0]);
            int l= int.Parse(prvired[1]);
            int[] stal = Console.ReadLine().Split(' ').Select(int.Parse).ToArray();
            int stalaktit = -1;
            for (int i=0; i<n; i++) 
            {
                if (stal[i] <= l)
                {
                    stalaktit=i+1; 
                    break;
                }     
            }
            Console.WriteLine(stalaktit);
        }
    }
}